# Delete custom ledger

## Deletes a custom ledger by ID.

> Permanently removes the custom ledger and all associated charges. This operation cannot be undone.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5520-g4a7cef27"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/billing/custom-ledgers/{id}":{"delete":{"tags":["CustomLedgers"],"summary":"Deletes a custom ledger by ID.","description":"Permanently removes the custom ledger and all associated charges. This operation cannot be undone.","parameters":[{"name":"id","in":"path","description":"The ID of the custom ledger to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/custom-ledger-object/delete-custom-ledger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
